> ## Documentation Index
> Fetch the complete documentation index at: https://synapse-docs.apart.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Participant Interview Profile



## OpenAPI

````yaml /openapi.json get /v1/participant/interview/profile
openapi: 3.1.0
info:
  description: Are we on the same page?
  title: Synapse
  version: 0.1.0
servers: []
security: []
paths:
  /v1/participant/interview/profile:
    get:
      tags:
        - v1-interview
      summary: Participant Interview Profile
      operationId: participant_interview_profile_v1_participant_interview_profile_get
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ParticipantInterviewProfile'
          description: Successful Response
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
          description: Authentication required
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
          description: Resource not found
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
          description: State or idempotency conflict
        '410':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
          description: API error
      security:
        - ParticipantToken: []
components:
  schemas:
    ParticipantInterviewProfile:
      properties:
        complete:
          title: Complete
          type: boolean
        questions:
          items:
            discriminator:
              mapping:
                date: '#/components/schemas/ParticipantDateQuestion'
                multi_select: '#/components/schemas/ParticipantMultiSelectQuestion'
                number: '#/components/schemas/ParticipantNumberQuestion'
                number_group: '#/components/schemas/ParticipantNumberGroupQuestion'
                short_text: '#/components/schemas/ParticipantShortTextQuestion'
                single_select: '#/components/schemas/ParticipantSingleSelectQuestion'
              propertyName: input
            oneOf:
              - $ref: '#/components/schemas/ParticipantSingleSelectQuestion'
              - $ref: '#/components/schemas/ParticipantMultiSelectQuestion'
              - $ref: '#/components/schemas/ParticipantShortTextQuestion'
              - $ref: '#/components/schemas/ParticipantNumberQuestion'
              - $ref: '#/components/schemas/ParticipantDateQuestion'
              - $ref: '#/components/schemas/ParticipantNumberGroupQuestion'
          title: Questions
          type: array
      required:
        - complete
      title: ParticipantInterviewProfile
      type: object
    ApiErrorResponse:
      additionalProperties: false
      properties:
        detail:
          anyOf:
            - $ref: '#/components/schemas/ErrorDetail'
            - type: string
            - items: {}
              type: array
            - additionalProperties: true
              type: object
          title: Detail
      required:
        - detail
      title: ApiErrorResponse
      type: object
    ParticipantDateQuestion:
      properties:
        id:
          title: Id
          type: string
        input:
          const: date
          title: Input
          type: string
        prompt:
          title: Prompt
          type: string
        required:
          default: false
          title: Required
          type: boolean
      required:
        - id
        - prompt
        - input
      title: ParticipantDateQuestion
      type: object
    ParticipantMultiSelectQuestion:
      properties:
        id:
          title: Id
          type: string
        input:
          const: multi_select
          title: Input
          type: string
        options:
          items:
            $ref: '#/components/schemas/ParticipantOption'
          title: Options
          type: array
        prompt:
          title: Prompt
          type: string
        required:
          default: false
          title: Required
          type: boolean
      required:
        - id
        - prompt
        - input
        - options
      title: ParticipantMultiSelectQuestion
      type: object
    ParticipantNumberQuestion:
      properties:
        id:
          title: Id
          type: string
        input:
          const: number
          title: Input
          type: string
        prompt:
          title: Prompt
          type: string
        required:
          default: false
          title: Required
          type: boolean
        unit:
          anyOf:
            - type: string
            - type: 'null'
          title: Unit
      required:
        - id
        - prompt
        - input
      title: ParticipantNumberQuestion
      type: object
    ParticipantNumberGroupQuestion:
      properties:
        fields:
          items:
            $ref: '#/components/schemas/ParticipantGroupField'
          title: Fields
          type: array
        id:
          title: Id
          type: string
        input:
          const: number_group
          title: Input
          type: string
        prompt:
          title: Prompt
          type: string
        required:
          default: false
          title: Required
          type: boolean
      required:
        - id
        - prompt
        - input
        - fields
      title: ParticipantNumberGroupQuestion
      type: object
    ParticipantShortTextQuestion:
      properties:
        id:
          title: Id
          type: string
        input:
          const: short_text
          title: Input
          type: string
        prompt:
          title: Prompt
          type: string
        required:
          default: false
          title: Required
          type: boolean
      required:
        - id
        - prompt
        - input
      title: ParticipantShortTextQuestion
      type: object
    ParticipantSingleSelectQuestion:
      properties:
        id:
          title: Id
          type: string
        input:
          const: single_select
          title: Input
          type: string
        options:
          items:
            $ref: '#/components/schemas/ParticipantOption'
          title: Options
          type: array
        prompt:
          title: Prompt
          type: string
        required:
          default: false
          title: Required
          type: boolean
      required:
        - id
        - prompt
        - input
        - options
      title: ParticipantSingleSelectQuestion
      type: object
    ErrorDetail:
      additionalProperties: false
      description: Stable structured detail returned by versioned API errors.
      properties:
        code:
          title: Code
          type: string
        context:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Context
        message:
          title: Message
          type: string
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
      required:
        - code
        - message
      title: ErrorDetail
      type: object
    ParticipantOption:
      properties:
        id:
          title: Id
          type: string
        label:
          title: Label
          type: string
      required:
        - id
        - label
      title: ParticipantOption
      type: object
    ParticipantGroupField:
      properties:
        id:
          title: Id
          type: string
        label:
          title: Label
          type: string
      required:
        - id
        - label
      title: ParticipantGroupField
      type: object
  securitySchemes:
    ParticipantToken:
      bearerFormat: spt_...
      description: Short-lived token bound to one participant session.
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.